openSUSE Security Update : nginx (openSUSE-2020-204)

Medium Nessus Plugin ID 133644

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for nginx fixes the following issues :

- CVE-2019-20372: Fixed an HTTP request smuggling with certain error_page configurations which could have allowed unauthorized web page reads (bsc#1160682).

This update was imported from the SUSE:SLE-15-SP1:Update update project.

Solution

Update the affected nginx packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1160682

Plugin Details

Severity: Medium

ID: 133644

File Name: openSUSE-2020-204.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2020/02/12

Updated: 2020/02/14

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Temporal Score: 3.2

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 5.3

Temporal Score: 4.6

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:nginx, p-cpe:/a:novell:opensuse:nginx-debuginfo, p-cpe:/a:novell:opensuse:nginx-debugsource, p-cpe:/a:novell:opensuse:nginx-source, p-cpe:/a:novell:opensuse:vim-plugin-nginx, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/02/11

Vulnerability Publication Date: 2020/01/09

Reference Information

CVE: CVE-2019-20372